Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 184)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 185)
@@ -2188,107 +1354,214 @@
             try
             {
                 if (depositOrderer.Deleted)
+                {
                     return;
+                }
                 // 明細行を作成
                 dgvMaster.Rows.Insert(position, depositOrderer.Size);
-                // いったんすべての行をReadOnlyにしておく
-                for (var i = position; i < position + depositOrderer.Size; i++)
-                    dgvMaster.Rows[i].ReadOnly = true;
+                
                 var ordererRow = dgvMaster.Rows[position];
-                // 請求先情報の表示
-                ordererRow.Cells[(int)DispColumn.No].Value = depositOrderer.No;
-                ordererRow.Cells[(int)DispColumn.OrderersDivision].Value = depositOrderer.OrderersDivision;
-                ordererRow.Cells[(int)DispColumn.OrderersCode].Value = depositOrderer.OrderersCode;
-                ordererRow.Cells[(int)DispColumn.OrderersName].Value = depositOrderer.OrderersName;
-                if (depositOrderer.VisibleDepositDetails.Count == 0)
-                {
-                    ordererRow.Cells[(int)DispColumn.DepositDate].ReadOnly = false;
-                    ordererRow.Cells[(int)DispColumn.DepositAmountCash].ReadOnly = false;
-                    ordererRow.Cells[(int)DispColumn.DepositAmountBill].ReadOnly = false;
-                }
-                // 入金情報の表示
                 var index = 0;
-                foreach (var deposit in depositOrderer.VisibleDeposits)
+
+                if (depositOrderer.KB == 1)
                 {
-                    var row = dgvMaster.Rows[position + index];
-                    row.Cells[(int)DispColumn.OrderersDivision].Value = depositOrderer.OrderersDivision;
-                    row.Cells[(int)DispColumn.OrderersCode].Value = depositOrderer.OrderersCode;
-                    row.Cells[(int)DispColumn.SeqNo].Value = deposit.SeqNo;
-                    row.Cells[(int)DispColumn.DepositDate].Value = deposit.DepositDate;
-                    if (deposit.DepositAmountCash.HasValue)
-                        SetPrice(row.Cells, (int)DispColumn.DepositAmountCash, deposit.DepositAmountCash.Value);
-                    if (deposit.DepositAmountBill.HasValue)
-                        SetPrice(row.Cells, (int)DispColumn.DepositAmountBill, deposit.DepositAmountBill.Value);
-                    // 編集設定
-                    if (CanEditDeposit(depositOrderer))
+                    // 請求先情報の表示
+                    ordererRow.Cells[(int)DispColumn.No].Style.BackColor = Color.Gainsboro;
+                    ordererRow.Cells[(int)DispColumn.RequestMonth].Style.BackColor = Color.Gainsboro;
+                    ordererRow.Cells[(int)DispColumn.OrderersName].Style.BackColor = Color.Gainsboro;
+
+                    ordererRow.Cells[(int)DispColumn.RequestMonth].Value = depositOrderer.RequestMonth;
+                    ordererRow.Cells[(int)DispColumn.OrderersDivision].Value = depositOrderer.OrderersDivision;
+                    ordererRow.Cells[(int)DispColumn.OrderersCode].Value = depositOrderer.OrderersCode;
+                    ordererRow.Cells[(int)DispColumn.OrderersName].Value = depositOrderer.OrderersName;
+
+                    // 入金金額の合計を算出
+                    int tgl = 1;
+                    var DepositSum = DepositSumCalc(depositOrderer.OrderersDivision, depositOrderer.OrderersCode, depositOrderer.RequestMonth, tgl).OfType<object[]>();
+                    int SumDepositAmountCash = 0;
+                    int SumDepositAmountBill = 0;
+                    foreach (var sum in DepositSum)
                     {
-                        row.Cells[(int)DispColumn.DepositDate].ReadOnly = false;
-                        row.Cells[(int)DispColumn.DepositAmountCash].ReadOnly = false;
-                        row.Cells[(int)DispColumn.DepositAmountBill].ReadOnly = false;
+                        SumDepositAmountCash = CommonMotions.cnvInt(sum[0]);
+                        SumDepositAmountBill = CommonMotions.cnvInt(sum[1]);
                     }
-                    index++;
-                }
-                index = 0;
-                foreach (var depositDetail in depositOrderer.VisibleDepositDetails)
-                {
-                    var row = dgvMaster.Rows[position + index];
-                    row.Cells[(int)DispColumn.OrderersDivision].Value = depositOrderer.OrderersDivision;
-                    row.Cells[(int)DispColumn.OrderersCode].Value = depositOrderer.OrderersCode;
-                    row.Cells[(int)DispColumn.RequestNo].Value = depositDetail.RequestNo;
-                    row.Cells[(int)DispColumn.LineCount].Value = depositDetail.LineCount;
-                    row.Cells[(int)DispColumn.OrderNo].Value = depositDetail.OrderNo;
-                    row.Cells[(int)DispColumn.ConstructionName].Value = depositDetail.ConstructionName;
-                    row.Cells[(int)DispColumn.ConstructionName_Raw].Value = depositDetail.ConstructionNameRow;
-                    // TODO 入金予定日
-                    row.Cells[(int)DispColumn.BillCreationDate].Value = depositDetail.BillCreationDate;
-                    SetPrice(row.Cells, (int)DispColumn.BillPrice, depositDetail.BillPrice);
-                    SetPrice(row.Cells, (int)DispColumn.TaxPrice, depositDetail.TaxPrice);
-                    SetPrice(row.Cells, (int)DispColumn.DepositAmount, depositDetail.DepositAmount);
-                    SetPrice(row.Cells, (int)DispColumn.DiscountAmount, depositDetail.DiscountAmount);
-                    SetPrice(row.Cells, (int)DispColumn.CnstrPrice, depositDetail.CnstrPrice);
-                    SetPrice(row.Cells, (int)DispColumn.Fees, depositDetail.Fees);
-                    SetPrice(row.Cells, (int)DispColumn.OtherAdjustments, depositDetail.OtherAdjustments);
-                    SetPrice(row.Cells, (int)DispColumn.CarryAmount, depositDetail.CarryAmount);
-                    row.Cells[(int)DispColumn.PersonCode].Value = depositDetail.ApprovalPersonCode;
-                    row.Cells[(int)DispColumn.PersonName].Value = depositDetail.ApprovalPersonName;
-                    // 担当者未承認
-                    if (!depositDetail.IsApprovedByStaff)
+
+                    // 請求金額合計の合計を算出
+                    var RequestSum = RequestSumCalc(depositOrderer.OrderersDivision, depositOrderer.OrderersCode, depositOrderer.RequestMonth, tgl).OfType<object[]>();
+                    int SumRequestBill = 0;
+                    int SumRequestTax = 0;
+                    foreach (var sum in RequestSum)
                     {
-                        row.Cells[(int)DispColumn.PersonName].Style.ForeColor = Color.Gray;
-                        row.Cells[(int)DispColumn.PersonDate].Value = "";
+                        SumRequestBill = CommonMotions.cnvInt(sum[0]);
+                        SumRequestTax = CommonMotions.cnvInt(sum[1]);
                     }
-                    var j = (int)DispColumn.ApprovalName_1;
-                    foreach (var depositeApproval in depositDetail.DepositApprovals)
+
+
+
+                    index = 0;
+                    foreach (var deposit in depositOrderer.VisibleDeposits)
                     {
-                        row.Cells[j].Value = depositeApproval.ApprovalPersonName;
-                        row.Cells[j + 1].Value = depositeApproval.ApprovalPerson;
-                        if (depositeApproval.ApprovalDate == "")
-                            row.Cells[j].Style.ForeColor = Color.Gray;
-                        dgvMaster.Columns[j].Visible = true;
-                        j += 5;
+                        var row = dgvMaster.Rows[position + index];
+                        ordererRow.Cells[(int)DispColumn.DepositAmountCash].Style.BackColor = Color.Gainsboro;
+                        ordererRow.Cells[(int)DispColumn.DepositAmountBill].Style.BackColor = Color.Gainsboro;
+
+                        SetPrice(row.Cells, (int)DispColumn.DepositAmountCash, (long)SumDepositAmountCash);
+                        SetPrice(row.Cells, (int)DispColumn.DepositAmountBill, (long)SumDepositAmountBill);
+                        index++;
                     }
-                    // 現場が存在する行は、総務入力側のセルも編集可能か判定しておく
-                    if (CanEditDeposit(depositOrderer))
+
+                    // 入金明細情報の表示       
+                    index = 0;
+                    foreach (var depositDetail in depositOrderer.VisibleDepositDetails)
                     {
-                        row.Cells[(int)DispColumn.DepositDate].ReadOnly = false;
-                        row.Cells[(int)DispColumn.DepositAmountCash].ReadOnly = false;
-                        row.Cells[(int)DispColumn.DepositAmountBill].ReadOnly = false;
+                        var row = dgvMaster.Rows[position + index];
+                        row.Cells[(int)DispColumn.ConstructionCode].Style.BackColor = Color.Gainsboro;
+                        row.Cells[(int)DispColumn.RequestNo].Style.BackColor = Color.Gainsboro;
+                        row.Cells[(int)DispColumn.ConstructionName].Style.BackColor = Color.Gainsboro;
+                        row.Cells[(int)DispColumn.OrderNo].Style.BackColor = Color.Gainsboro;
+
+                        row.Cells[(int)DispColumn.TaxPrice].Style.BackColor = Color.Gainsboro;
+                        row.Cells[(int)DispColumn.BillPrice].Style.BackColor = Color.Gainsboro;
+
+                        SetPrice(row.Cells, (int)DispColumn.BillPrice, SumRequestBill);
+                        SetPrice(row.Cells, (int)DispColumn.TaxPrice, SumRequestTax);
+
+                        row.Cells[(int)DispColumn.DepositAmount].Style.BackColor = Color.Gainsboro;
+                        row.Cells[(int)DispColumn.DiscountAmount].Style.BackColor = Color.Gainsboro;
+                        row.Cells[(int)DispColumn.CnstrPrice].Style.BackColor = Color.Gainsboro;
+                        row.Cells[(int)DispColumn.Fees].Style.BackColor = Color.Gainsboro;
+                        row.Cells[(int)DispColumn.OtherAdjustments].Style.BackColor = Color.Gainsboro;
+                        row.Cells[(int)DispColumn.DifferentAmount].Style.BackColor = Color.Gainsboro;
+
+                        row.Cells[(int)DispColumn.DepositAmount].ReadOnly = true;
+                        row.Cells[(int)DispColumn.DiscountAmount].ReadOnly = true;
+                        row.Cells[(int)DispColumn.CnstrPrice].ReadOnly = true;
+                        row.Cells[(int)DispColumn.Fees].ReadOnly = true;
+                        row.Cells[(int)DispColumn.OtherAdjustments].ReadOnly = true;
+                        row.Cells[(int)DispColumn.NoteDD].ReadOnly = true;
+
+                        row.Cells[(int)DispColumn.ConfirmationPersonCode].Style.BackColor = Color.Gainsboro;
+                        row.Cells[(int)DispColumn.ConfirmationDate].Style.BackColor = Color.Gainsboro;
+                        row.Cells[(int)DispColumn.ConfirmationEndFlg].Style.BackColor = Color.Gainsboro;
+                        row.Cells[(int)DispColumn.ConstructionPersonCode].Style.BackColor = Color.Gainsboro;
+                        row.Cells[(int)DispColumn.ConstrSubPersonCode].Style.BackColor = Color.Gainsboro;
+                        row.Cells[(int)DispColumn.ConstructionInstructor].Style.BackColor = Color.Gainsboro;
+                        row.Cells[(int)DispColumn.DepartmentCode].Style.BackColor = Color.Gainsboro;
+                        row.Cells[(int)DispColumn.PersonName].Style.BackColor = Color.Gainsboro;
+                        row.Cells[(int)DispColumn.NoteDD].Style.BackColor = Color.Gainsboro;
+
+
+                        // 担当者承認
+                        if (depositDetail.ConfirmationEndFlg == 1)
+                        {
+                            row.Cells[(int)DispColumn.PersonName].Style.ForeColor = Color.Red;
+                        }
+                        // 担当者未承認
+                        else
+                        {
+                            row.Cells[(int)DispColumn.PersonName].Style.ForeColor = Color.Gray;
+                        }
+
+                        index++;
                     }
-                    if (CanEditDepositDetail(depositDetail))
+                }
+                else
+                {
+                    // 請求先情報の表示
+                    ordererRow.Cells[(int)DispColumn.No].Value = depositOrderer.No;
+                    ordererRow.Cells[(int)DispColumn.RequestMonth].Value = depositOrderer.RequestMonth;
+                    ordererRow.Cells[(int)DispColumn.OrderersDivision].Value = depositOrderer.OrderersDivision;
+                    ordererRow.Cells[(int)DispColumn.OrderersCode].Value = depositOrderer.OrderersCode;
+
+                    ordererRow.Cells[(int)DispColumn.No].Style.BackColor = Color.FromArgb(192, 255, 192);
+                    ordererRow.Cells[(int)DispColumn.DepositAmountCash].Style.BackColor = Color.PeachPuff;
+                    ordererRow.Cells[(int)DispColumn.DepositAmountBill].Style.BackColor = Color.PeachPuff;
+
+                    index = 0;
+                    foreach (var depositDetail in depositOrderer.VisibleDepositDetails)
                     {
-                        row.Cells[(int)DispColumn.DepositAmount].ReadOnly = false;
-                        row.Cells[(int)DispColumn.DiscountAmount].ReadOnly = false;
-                        row.Cells[(int)DispColumn.CnstrPrice].ReadOnly = false;
-                        row.Cells[(int)DispColumn.Fees].ReadOnly = false;
-                        row.Cells[(int)DispColumn.OtherAdjustments].ReadOnly = false;
-                        row.Cells[(int)DispColumn.CarryAmount].ReadOnly = false;
+                        var row = dgvMaster.Rows[position + index];
+                        row.Cells[(int)DispColumn.ConstructionCode].Value = depositDetail.ConstructionCode;
+                        row.Cells[(int)DispColumn.RequestNo].Value = depositDetail.RequestNo;
+                        row.Cells[(int)DispColumn.ConstructionName].Value = depositDetail.ConstructionName;
+                        row.Cells[(int)DispColumn.OrderNo].Value = depositDetail.OrderNo;
+                        row.Cells[(int)DispColumn.OrderersName].Value = depositDetail.BillCreationDate;
+
+                        row.Cells[(int)DispColumn.OrderersName].Style.BackColor = Color.FromArgb(192, 255, 192);
+                        row.Cells[(int)DispColumn.BillPrice].Style.BackColor = Color.FromArgb(192, 255, 192);
+                        row.Cells[(int)DispColumn.TaxPrice].Style.BackColor = Color.FromArgb(192, 255, 192);
+                        row.Cells[(int)DispColumn.ConstructionName].Style.BackColor = Color.FromArgb(192, 255, 192);
+
+                        SetPrice(row.Cells, (int)DispColumn.BillPrice, depositDetail.BillPrice);
+                        SetPrice(row.Cells, (int)DispColumn.TaxPrice, depositDetail.TaxPrice);
+                        SetPrice(row.Cells, (int)DispColumn.DepositAmount, depositDetail.DepositAmount);
+                        SetPrice(row.Cells, (int)DispColumn.DiscountAmount, depositDetail.DiscountAmount);
+                        SetPrice(row.Cells, (int)DispColumn.CnstrPrice, depositDetail.CnstrPrice);
+                        SetPrice(row.Cells, (int)DispColumn.Fees, depositDetail.Fees);
+                        SetPrice(row.Cells, (int)DispColumn.OtherAdjustments, depositDetail.OtherAdjustments);
+
+                        row.Cells[(int)DispColumn.DepositAmount].Style.BackColor = Color.LightCyan;
+                        row.Cells[(int)DispColumn.DiscountAmount].Style.BackColor = Color.LightCyan;
+                        row.Cells[(int)DispColumn.CnstrPrice].Style.BackColor = Color.LightCyan;
+                        row.Cells[(int)DispColumn.Fees].Style.BackColor = Color.LightCyan;
+                        row.Cells[(int)DispColumn.OtherAdjustments].Style.BackColor = Color.LightCyan;
+                        row.Cells[(int)DispColumn.DifferentAmount].Style.BackColor = Color.LightCyan;
+
+                        long RequestAmount = depositDetail.BillPrice + depositDetail.TaxPrice;
+                        long DepositAmount = depositDetail.DepositAmount + depositDetail.DiscountAmount
+                            + depositDetail.CnstrPrice + depositDetail.Fees + depositDetail.OtherAdjustments;
+                        depositDetail.DifferenceAmount = DepositAmount - RequestAmount;
+
+                        SetPrice(row.Cells, (int)DispColumn.DifferentAmount, depositDetail.DifferenceAmount);
+
+                        row.Cells[(int)DispColumn.ConfirmationPersonCode].Value = depositDetail.ConstructionPersonCode;
+                        row.Cells[(int)DispColumn.ConfirmationDate].Value = depositDetail.ConfirmationDate;
+                        row.Cells[(int)DispColumn.ConfirmationEndFlg].Value = depositDetail.ConfirmationEndFlg;
+                        row.Cells[(int)DispColumn.ConstructionPersonCode].Value = depositDetail.ConstructionPersonCode;
+                        row.Cells[(int)DispColumn.ConstrSubPersonCode].Value = depositDetail.ConstrSubPersonCode;
+                        row.Cells[(int)DispColumn.ConstructionInstructor].Value = depositDetail.ConstructionInstructor;
+                        row.Cells[(int)DispColumn.DepartmentCode].Value = depositDetail.DepartmentCode;
+                        row.Cells[(int)DispColumn.PersonName].Value = depositDetail.ConfirmationPersonName;
+                        row.Cells[(int)DispColumn.NoteDD].Value = depositDetail.Note;
+
+                        row.Cells[(int)DispColumn.PersonName].Style.BackColor = Color.LightCyan;
+                        row.Cells[(int)DispColumn.NoteDD].Style.BackColor = Color.LightCyan;
+
+                        if (CanEditDepositDetail(depositDetail))
+                        {
+                            row.Cells[(int)DispColumn.DepositAmount].ReadOnly = false;
+                            row.Cells[(int)DispColumn.DiscountAmount].ReadOnly = false;
+                            row.Cells[(int)DispColumn.CnstrPrice].ReadOnly = false;
+                            row.Cells[(int)DispColumn.Fees].ReadOnly = false;
+                            row.Cells[(int)DispColumn.OtherAdjustments].ReadOnly = false;
+                            row.Cells[(int)DispColumn.NoteDD].ReadOnly = false;
+                        }
+                        else
+                        {
+                            row.Cells[(int)DispColumn.DepositAmount].ReadOnly = true;
+                            row.Cells[(int)DispColumn.DiscountAmount].ReadOnly = true;
+                            row.Cells[(int)DispColumn.CnstrPrice].ReadOnly = true;
+                            row.Cells[(int)DispColumn.Fees].ReadOnly = true;
+                            row.Cells[(int)DispColumn.OtherAdjustments].ReadOnly = true;
+                            row.Cells[(int)DispColumn.NoteDD].ReadOnly = true;
+                        }
+
+                        // 担当者承認
+                        if (depositDetail.ConfirmationEndFlg == 1)
+                        {
+                            row.Cells[(int)DispColumn.PersonName].Style.ForeColor = Color.Red;
+                        }
+                        // 担当者未承認
+                        else
+                        {
+                            row.Cells[(int)DispColumn.PersonName].Style.ForeColor = Color.Gray;
+                        }
+
+                        index++;
                     }
-                    index++;
                 }
-                AddUnknownRow(depositOrderer, position);
-                AddBlankRow(depositOrderer, position);
-                AddTotalRow(depositOrderer, position);
             }
+
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
@@ -2296,9 +1569,9 @@
         }
         #endregion
 
-        #region データを表示する。
+        #region データを表示する
         /// <summary>
-        /// データを表示する。
+        /// データを表示する
         /// </summary>
         private void DisplayData()
         {
@@ -2312,14 +1585,16 @@
                 depositOrderers = SelectDepositOrderers();
                 // 請求先単位で設定を行う。
                 dgvMaster.SuspendLayout();
-                for (var i = (int)DispColumn.ApprovalName_1; i <= (int)DispColumn.ApprovalName_10; i += 5)
-                    dgvMaster.Columns[i].Visible = false;
+
                 foreach (var deposit in depositOrderers)
                 {
                     AddDepositOrdererRows(deposit, dgvMaster.RowCount);
                 }
+
+                // 金額の合計を表示する
+                TotalCount(m_Select_TargetDate);
+
                 isDirty = false;
-                ControlButton();
             }
             catch (Exception ex)
             {
